"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
function _default(context) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var {
    Syntax,
    RuleError,
    report,
    getSource,
    locator
  } = context;
  return {
    [Syntax.Code](node) {
      var match = node.value.trim() === "" ? true : false;
      // const text = context.getSource(node);
      // const match = text.match(/\[\s+\]\s/i);
      if (match) {
        var {
          loc: {
            start,
            end
          }
        } = node;
        report(node, new context.RuleError("Empty code block", {
          padding: locator.loc({
            start: {
              line: start.line,
              column: start.column
            },
            end: {
              line: end.line,
              column: end.column
            }
          })
        }));
      }
    }
  };
}
//# sourceMappingURL=index.js.map